Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
xfce4-meta-4.14 seems to require udisks (and polkit, et al)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
depontius
Advocate
Advocate


Joined: 05 May 2004
Posts: 3426

PostPosted: Sun Oct 20, 2019 10:45 pm    Post subject: xfce4-meta-4.14 seems to require udisks (and polkit, et al) Reply with quote

I went to update today, after being on vacation, and it kept trying to pull in udisks and all that it requires, notably polkit and spidermonkey. This is caused by thunar-volman, which requires that thunar be built with the udisks USE flag. In the good old days I simply chose not to install thunar-volman, but the new xfce4-meta package specifically calls out thunar-volman as a hard requirement. For the moment I've simply masked it, using the old xfce4-meta and letting it pull in the new xfce4 pieces - and not including thunar-volman.

Anyone know more about this?
_________________
.sigs waste space and bandwidth
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 24341
Location: here

PostPosted: Mon Oct 21, 2019 5:18 am    Post subject: Reply with quote

Code:
$ grep -r "xfce-extra/thunar-volman" /var/db/repos/gentoo/ --include='*.ebuild'
/var/db/repos/gentoo/xfce-base/xfce4-meta/xfce4-meta-4.14-r1.ebuild:    >=xfce-extra/thunar-volman-0.9.5

Only xfce4-meta seems require thunar-volman, at this point you can use /etc/portage/profile/package.provided
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
depontius
Advocate
Advocate


Joined: 05 May 2004
Posts: 3426

PostPosted: Tue Oct 22, 2019 11:48 am    Post subject: Reply with quote

Thanks, I've done that. It's my first use of package.provided.

I don't like long-term finagling of my systems, it seems to me that it's usually inviting troubles somewhere down the line. In this case, it looks to be the "least finagle" way of doing the job.
_________________
.sigs waste space and bandwidth
Back to top
View user's profile Send private message
Hu
Moderator
Moderator


Joined: 06 Mar 2007
Posts: 15603

PostPosted: Wed Oct 23, 2019 12:58 am    Post subject: Reply with quote

Since this is your first use of that feature, I should provide one warning that is not in the Wiki. For purposes of dependency calculation, Portage assumes those packages are provided by the system administrator. If you try to install something that actually needs the package to be installed, Portage won't try to install the provided package, and the requiring package will likely just fail. You can get away with package.provided here because the virtual doesn't actually need the package installed. You can't get away with it if you install something that truly needs the provided package, and you won't get a warning from Portage if/when you reach that point.
Back to top
View user's profile Send private message
depontius
Advocate
Advocate


Joined: 05 May 2004
Posts: 3426

PostPosted: Wed Oct 23, 2019 1:42 am    Post subject: Reply with quote

Things like that are why I try not to tamper too much with portage's natural order. In this case I'm generally trying to avoid the feature, so it hopefully won't catch me. Warning taken, package.provided to be used sparingly and carefully.
_________________
.sigs waste space and bandwidth
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum